This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1025838 - A problem with ABRT concerning Libre Office
A problem with ABRT concerning Libre Office
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:4107e1a1b7f3cc2f590c754600e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 13:39 EDT by Alex
Modified: 2016-11-30 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 13:59:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex 2013-11-01 13:39:09 EDT
Description of problem:
open programs on Desktop 1: Okular (2 different windows), Abiword, 
Dolphin, Evince

open programs on Desktop 2: Firefox (with 6 tabs)

all programs running for at least 2 days (PC is only suspended at nighttime)

I was working on the Libre Office file (translation text, rich with italics, bold and footnotes) making several corrections and adding many Comments/Revisions (shown on screen to avoid delay); the same inconvenient happened twice, when I run into the same spot (more or less)

Version-Release number of selected component:
gnome-abrt-0.3.2

Additional info:
reporter:       libreport-2.1.8
kernel:         3.11.6-200.fc19.x86_64
type:           libreport
Comment 1 Alex 2013-11-01 13:42:53 EDT
should I need to add an attachment? it was an expected crash while using Libre Office with other programs running. And if so, how can I do it? what is exactly needed? Have mercy, I'm not a geek...
Comment 2 Alex 2013-11-01 13:56:54 EDT
I forgot to say that Libre Office had Search modality open, when it crashed
Comment 3 Jakub Filak 2013-11-01 15:30:16 EDT
Thank you for the report! What exactly happened to your Libre Office?
Comment 4 Alex 2013-11-01 20:10:17 EDT
Hi, Jakub. It crashed twice without any warning or other prior malfunctioning.
I had been working on that file for several days, but this is the first time it occurred to me such a sudden inconvenience (with LO on Fedora 19, I mean).
After each crash I reopened (resumed) LO and both times it worked again. Now I have finished with it, but I am really puzzled at this problem and I fear it can happen on some other files.
I expect to report some data about the machine status and stuff like that, but I am not a programmer, so please do tell me what and where I can find it and how to send it out to you (provided you deem it is worth while).
Comment 5 Jakub Filak 2013-11-02 12:16:42 EDT
You should see an entry for 'libreoffice' in the left-side list of problems in the Automatic Bug Reporting Tool window. If so, please select that entry and click the Report button in the top left corner of the window. If you don't see any entry for 'libreoffice', please open a terminal (gnome-terminal, konsole), log as root user (run 'su' and type root's password), after successful login run 'grep abrt /var/log/messages' and submit the results here.
Comment 6 Alex 2013-11-02 13:41:21 EDT
thanks for instructions - herewith I only copied&pasted 2 last days, showing problems in Libre Office (sorry for being so long):

Oct 31 15:21:35 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Oct 31 15:21:35 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Oct 31 15:21:36 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Oct 31 15:21:36 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Oct 31 15:21:37 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Oct 31 15:21:37 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Oct 31 15:21:38 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Oct 31 15:21:38 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Oct 31 15:21:38 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Oct 31 15:21:39 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Oct 31 15:21:39 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Oct 31 15:21:40 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Oct 31 15:21:40 Adel abrt-server[19546]: Generating core_backtrace
Oct 31 15:21:40 Adel abrt-server[19546]: Generating backtrace
Oct 31 15:22:28 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Oct 31 15:22:29 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Oct 31 15:22:29 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Oct 31 15:22:30 Adel abrt-server[19546]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Oct 31 15:22:30 Adel abrt-server[19546]: New problem directory /var/tmp/abrt/ccpp-2013-10-31-15:21:32-19442, processing
Oct 31 23:38:30 Adel abrt: detected unhandled Python exception in '/usr/bin/hp-upgrade'
Oct 31 23:38:30 Adel abrtd: New client connected
Oct 31 23:38:31 Adel abrt-server[20607]: Saved problem directory of pid 20580 to '/var/tmp/abrt/Python-2013-10-31-23:38:30-20580'
Oct 31 23:38:31 Adel abrt-server[20607]: Executable '/usr/bin/hp-upgrade' doesn't belong to any package and ProcessUnpackaged is set to 'no'
Oct 31 23:38:31 Adel abrt-server[20607]: 'post-create' on '/var/tmp/abrt/Python-2013-10-31-23:38:30-20580' exited with 1
Oct 31 23:38:31 Adel abrt-server[20607]: Deleting problem directory '/var/tmp/abrt/Python-2013-10-31-23:38:30-20580'
Nov  1 18:03:00 Adel abrt[25294]: Saved core dump of pid 22036 (/usr/lib64/libreoffice/program/soffice.bin) to /var/tmp/abrt/ccpp-2013-11-01-18:02:59-22036 (142884864 bytes)
Nov  1 18:03:00 Adel abrtd: New client connected
Nov  1 18:03:01 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:03:01 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:03:02 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:03:02 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:03:03 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:03:03 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:03:04 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:03:04 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:03:04 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:03:05 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:03:05 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:03:06 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:03:06 Adel abrt-server[25295]: Generating core_backtrace
Nov  1 18:03:06 Adel abrt-server[25295]: Generating backtrace
Nov  1 18:03:41 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:03:42 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:03:42 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:03:43 Adel abrt-server[25295]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:03:43 Adel abrt-server[25295]: New problem directory /var/tmp/abrt/ccpp-2013-11-01-18:02:59-22036, processing
Nov  1 18:17:14 Adel abrt[25509]: Saved core dump of pid 25325 (/usr/lib64/libreoffice/program/soffice.bin) to /var/tmp/abrt/ccpp-2013-11-01-18:17:13-25325 (107425792 bytes)
Nov  1 18:17:14 Adel abrtd: New client connected
Nov  1 18:17:14 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:17:15 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:17:15 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:17:16 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:17:16 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:17:17 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:17:17 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:17:18 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:17:18 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:17:19 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:17:19 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:17:19 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:17:19 Adel abrt-server[25510]: Generating core_backtrace
Nov  1 18:17:19 Adel abrt-server[25510]: Generating backtrace
Nov  1 18:17:59 Adel abrt-server[25510]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:17:59 Adel abrt-server[25510]: Duplicate: core backtrace
Nov  1 18:17:59 Adel abrt-server[25510]: DUP_OF_DIR: /var/tmp/abrt/ccpp-2013-11-01-18:02:59-22036
Nov  1 18:17:59 Adel abrt-server[25510]: Deleting problem directory ccpp-2013-11-01-18:17:13-25325 (dup of ccpp-2013-11-01-18:02:59-22036)
Nov  1 18:17:59 Adel /etc/gdm/Xsession[2380]: abrt-applet: repeated problem in libreoffice-core-4.1.2.3-3.fc19, not showing the notification
Nov  1 18:34:30 Adel /etc/gdm/Xsession[2380]: (gnome-abrt:25691): Gtk-CRITICAL **: gtk_widget_show_all: assertion `GTK_IS_WIDGET (widget)' failed
Nov  1 18:45:32 Adel abrt[25978]: Saved core dump of pid 25929 (/usr/lib64/libreoffice/program/soffice.bin) to /var/tmp/abrt/ccpp-2013-11-01-18:45:31-25929 (106237952 bytes)
Nov  1 18:45:32 Adel abrtd: New client connected
Nov  1 18:45:33 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:45:33 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:45:34 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:45:34 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:45:35 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:45:35 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:45:36 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:45:36 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:45:37 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:45:37 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:23-3699' is not a problem directory
Nov  1 18:45:37 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-05-11:52:08-14653' is not a problem directory
Nov  1 18:45:38 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2012-09-13-22:57:24-23631' is not a problem directory
Nov  1 18:45:38 Adel abrt-server[25979]: Generating core_backtrace
Nov  1 18:45:38 Adel abrt-server[25979]: Generating backtrace
Nov  1 18:46:20 Adel abrt-server[25979]: '/var/tmp/abrt/ccpp-2013-06-06-11:44:24-1017' is not a problem directory
Nov  1 18:46:20 Adel abrt-server[25979]: Duplicate: core backtrace
Nov  1 18:46:20 Adel abrt-server[25979]: DUP_OF_DIR: /var/tmp/abrt/ccpp-2013-11-01-18:02:59-22036
Nov  1 18:46:20 Adel abrt-server[25979]: Deleting problem directory ccpp-2013-11-01-18:45:31-25929 (dup of ccpp-2013-11-01-18:02:59-22036)
Nov  1 18:46:20 Adel /etc/gdm/Xsession[2380]: abrt-applet: repeated problem in libreoffice-core-4.1.2.3-3.fc19, not showing the notification
Comment 7 Jakub Filak 2013-11-03 15:44:52 EST
Well done! It seems that abrt works fine and the crash of libre office were detected. Now I am wondering why the crash entry is not displayed in Automatic Bug Reporting Tool. Please run the following commands:

$ dbus-send --system --type=method_call --print-reply --dest=org.freedesktop.problems /org/freedesktop/problems org.freedesktop.problems.GetProblems

$ report-gtk -- /var/tmp/abrt/ccpp-2013-11-01-18:02:59-22036
Comment 8 Alex 2013-11-04 04:59:05 EST
here I go:

$ dbus-send --system --type=method_call --print-reply --dest=org.freedesktop.problems /org/freedesktop/problems org.freedesktop.problems.GetProblems
method return sender=:1.1144 -> dest=:1.1143 reply_serial=2
   array [
   ]

$ report-gtk -- /var/tmp/abrt/ccpp-2013-11-01-18:02:59-22036
'/var/tmp/abrt/ccpp-2013-11-01-18:02:59-22036' does not exist
'/var/tmp/abrt/ccpp-2013-11-01-18:02:59-22036' does not exist
'/var/tmp/abrt/ccpp-2013-11-01-18:02:59-22036' does not exist

what else do you need?
Comment 9 Jakub Filak 2013-11-04 05:13:17 EST
(In reply to Alex from comment #8)
> $ dbus-send --system --type=method_call --print-reply
> --dest=org.freedesktop.problems /org/freedesktop/problems
> org.freedesktop.problems.GetProblems
> method return sender=:1.1144 -> dest=:1.1143 reply_serial=2
>    array [
>    ]

That's really sad because the crash data has been lost. The most probable cause of the data loss is that you have configured /var/tmp to be cleaned at boot time. Have you restarted your computer since the last crash occurred? Could you please run 'ls /var/tmp/abrt'?

For now, we cannot do much about Libre Office and we have to wait until a new Libre Office crash occurs.
Comment 10 Alex 2013-11-04 21:35:44 EST
(In reply to Jakub Filak from comment #9)
> (In reply to Alex from comment #8)
> > $ dbus-send --system --type=method_call --print-reply
> > --dest=org.freedesktop.problems /org/freedesktop/problems
> > org.freedesktop.problems.GetProblems
> > method return sender=:1.1144 -> dest=:1.1143 reply_serial=2
> >    array [
> >    ]
> 
> That's really sad because the crash data has been lost. The most probable
> cause of the data loss is that you have configured /var/tmp to be cleaned at
> boot time. Have you restarted your computer since the last crash occurred?

No, I have never fiddled with that -- I'd rather think it is sort of Fedora's default configuration, but I do not know how to check it.
Since the crash I only suspended my PC, as I am hastily working to finish a project asap

> Could you please run 'ls /var/tmp/abrt'?

here it is:
$ ls /var/tmp/abrt
abrt-handle-event-coredump      ccpp-2013-06-05-11:52:08-14653  ccpp-2013-06-06-11:44:24-1017  last-via-server
ccpp-2012-09-13-22:57:24-23631  ccpp-2013-06-06-11:44:23-3699   last-ccpp
 
> For now, we cannot do much about Libre Office and we have to wait until a
> new Libre Office crash occurs.

Of course, I Hope it will NEVER AGAIN occur. However, should it be the case, what am I supposed to do, in order to ascertain the possible cause?

Meanwhile, thanks for your time and advice
Comment 11 Jakub Filak 2013-11-05 04:18:28 EST
> Of course, I Hope it will NEVER AGAIN occur. However, should it be the case,
> what am I supposed to do, in order to ascertain the possible cause?

If it occurs again and abrt works fine, you will see "libreoffice" entry [1] in Automatic Bug Reporting Tool. Select the entry and click Report button :)


1: http://jfilak.fedorapeople.org/media/libreoffice-oowriter-crash.png
Comment 12 Fedora End Of Life 2015-01-09 15:25:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 13:59:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.